/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package poslovnalogika;

import domen.Mesto;
import domen.PoslovniPartner;
import java.util.List;

/**
 *
 * @author student1
 */
public class Kontroler {
    private KolekcijaMesta km;
    private KolekcijaPartnera kp;
    private static Kontroler kontroler;

    private Kontroler() {
        km = new KolekcijaMesta();
        kp = new KolekcijaPartnera();
    }
    public void dodajPartnera(PoslovniPartner pp) {
        kp.dodajPoslovnogPartnera(pp);
    }
    public List<PoslovniPartner> vratiPartnere() {
        return kp.vratiListuPartnera();
    }
    public void dodajMesto(Mesto m) {
        km.dodajMesto(m);
    }
    public List<Mesto> vratiMesta() {
        return km.vratiMesta();
    }
    public static Kontroler getInstance() {
        if(kontroler==null) {
            kontroler = new Kontroler();
        }
        return kontroler;
        
    }
}
