/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package poslovnalogika;

import db.DbKomunikacija;
import domen.Mesto;
import domen.PoslovniPartner;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 * @author student1
 */
public class Kontroler {
    private KolekcijaMesta km;
    private KolekcijaPartnera kp;
    private DbKomunikacija db;
    private static Kontroler kontroler;
    private Map<String, Object> map;

    private Kontroler() {
        km = new KolekcijaMesta();
        kp = new KolekcijaPartnera();
        db = new DbKomunikacija();
        map = new HashMap<>();
    }
    public void dodajPartnera(PoslovniPartner pp) throws Exception {
        // kp.dodajPoslovnogPartnera(pp);
        db.ucitajDriver();
        db.otvoriKonekciju();
        db.sacuvajPartnera(pp);
        db.zatvoriKonekciju();
    }
    public List<PoslovniPartner> vratiPartnere() {
        return kp.vratiListuPartnera();
    }
    public void dodajMesto(Mesto m) {
        km.dodajMesto(m);
    }
    public List<Mesto> vratiMesta() throws Exception {
        // return km.vratiMesta();
        db.ucitajDriver();
        db.otvoriKonekciju();
        List<Mesto> lm = db.vratiMesta();
        db.zatvoriKonekciju();
        return lm;
    }
    public static Kontroler getInstance() {
        if(kontroler==null) {
            kontroler = new Kontroler();
        }
        return kontroler;
    }
    
    public void put(String key, Object value) {
        map.put(key, value);
    }
    
    public Object get(String key) {
        return map.get(key);
    }
    
    public void remove(String key) {
        map.remove(key);
    }
}
