/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package poslovnalogika;

import domen.Mesto;
import domen.PoslovniPartner;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 * @author student1
 */
public class Kontroler {
    private KolekcijaMesta km;
    private KolekcijaPoslovnihPartnera kp;
    private static Kontroler instance;
    private Map<String, Object> map;
    
    private Kontroler() {
        km = new KolekcijaMesta();
        kp = new KolekcijaPoslovnihPartnera();
        map = new HashMap<>();
    }
    
    public static Kontroler getInstance() {
        if (instance == null) {
            instance = new Kontroler();
        }
        return instance;
    }
    
    public void dodajPartnera(PoslovniPartner p) {
        kp.dodajPartnera(p);
    }
    
    public List<PoslovniPartner> vratiPartnere() {
        return kp.vratiPartnere();
    }
    
    public void dodajMesto(Mesto m) {
        km.dodajMesto(m);
    }
    
    public List<Mesto> vratiMesta() {
        return km.vratiMesta();
    }
    
    public void put(String key, Object value) {
        map.put(key, value);
    }
    
    public Object get(String key) {
        return map.get(key);
    }
    
    public void remove(String key) {
        map.remove(key);
    }
    
    public PoslovniPartner izmeniPartnera(PoslovniPartner p) {
        return kp.izmeniPartnera(p);
    }
    
}
