/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package stanje;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student1
 */
public class Stanje {

    private int kolicina;
    private boolean signal;

    public Stanje(int kolicina) {
        this.kolicina = kolicina;
        signal = false;
        // FALSE - povecaj; TRUE - smanji
    }

    public int getKolicina() {
        return kolicina;
    }

    public void setKolicina(int kolicina) {
        this.kolicina = kolicina;
    }

    public synchronized void smanji(int iznos) {
        //System.out.println("Pozvana metoda smanji()");
        if (signal) {
            this.kolicina = this.kolicina - iznos;
            System.out.println("Smanjeno za: " + iznos + "; Trenutno stanje: " + kolicina);
            signal = false;
            notify();
            try {
                wait();
            } catch (InterruptedException ex) {
                Logger.getLogger(Stanje.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
        notify();
    }

    public synchronized void povecaj(int iznos) {
        //System.out.println("Pozvana metoda povecaj()");
        if (!signal) {
            this.kolicina = this.kolicina + iznos;
            System.out.println("Povecano za: " + iznos + "; Trenutno stanje: " + kolicina);
            signal = true;
            notify();
            try {
                wait();
            } catch (InterruptedException ex) {
                Logger.getLogger(Stanje.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
        notify();
    }

}
