/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package poslovnalogika;

import domen.Mesto;
import domen.PoslovniPartner;
import java.util.List;

/**
 *
 * @author student1
 */
public class Kontroler {
    private KolekcijaMesta km;
    private KolekcijaPartnera kp;
    private static Kontroler instance;

    private Kontroler() {
        km = new KolekcijaMesta();
        kp = new KolekcijaPartnera();
    }
    
    public static Kontroler getInstance() {
        if (instance == null) {
            instance = new Kontroler();
        }
        return instance;
    }
    
    public void dodajPartnera(PoslovniPartner pp) {
        kp.dodajPartnera(pp);
    }
    
    public List<PoslovniPartner> vratiPartnere() {
        return kp.vratiPartnere();
    }
    
    public void dodajMesto(Mesto m) {
        km.dodajMesto(m);
    }
    
    public List<Mesto> vratiMesta() {
        return km.vratiMesta();
    }
}
