/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pl.kontroler;

import db.DBKonekcija;
import domen.Mesto;
import domen.PravnoLice;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 * @author student1
 */
public class Kontroler {

    private static Kontroler instanca;
    private DBKonekcija db;
    private int aktivanSK;
    private Map<String, Object> mapa;

    public static Kontroler vratiInstancuKontrolera() {
        if (instanca == null) {
            instanca = new Kontroler();
        }
        return instanca;
    }

    private Kontroler() {
        db = new DBKonekcija();
        mapa = new HashMap<>();
    }

    public void sacuvajPravnoLice(PravnoLice pl) {

    }

    public List<PravnoLice> vratiListuPravnihLica() {
        return db.vratiListuPravnihLica();
    }

    public List<Mesto> vratiListuMesta() {
        // return km.vratiListuMesta();
//        db = new DBKonekcija();
        return db.vratiListuMesta();
    }

    public void sacuvajListuPravnihLica(List<PravnoLice> lpl) throws ClassNotFoundException, SQLException {
        db.sacuvajListuPravnihLica(lpl);
    }

    public int getAktivanSK() {
        return aktivanSK;
    }

    public void setAktivanSK(int aktivanSK) {
        this.aktivanSK = aktivanSK;
    }

    public Map<String, Object> getMapa() {
        return mapa;
    }

}
